Bug 151200 - haldaemon hangs system on startup
haldaemon hangs system on startup
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: David Zeuthen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-15 18:26 EST by Orion Poplawski
Modified: 2013-03-05 22:43 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-09 14:01:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of hald --daemon=no --verbose=yes (19.88 KB, text/plain)
2005-11-27 15:39 EST, Adam Spiers
no flags Details
Output of lspci -v (2.21 KB, text/plain)
2005-11-27 15:44 EST, Adam Spiers
no flags Details

  None (edit)
Description Orion Poplawski 2005-03-15 18:26:09 EST
Description of problem:
System hangs after haldaemon starts.  Last of output from hald --daemon=no
--verbose=yes:

16:05:09.021 [I] hald.c:81: Added device to GDL;
udi=/org/freedesktop/Hal/devices/block_36ac7e59-f0b1-3597-1075-776c2ac17a7f-0
16:05:09.021 [I] linux/osspec.c:795: handling
/sys/devices/pci0000:00/0000:00:0a.0 pci
16:05:09.042 [I] device_info.c:1160: scan_fdi_files: Processing file
'6in1-card-reader.fdi'
16:05:09.043 [I] device_info.c:1160: scan_fdi_files: Processing file
'ide-drives.fdi'
16:05:09.044 [I] device_info.c:1160: scan_fdi_files: Processing file
'jetflash-mp3-player.fdi'
16:05:09.045 [I] device_info.c:1160: scan_fdi_files: Processing file
'lexar-media-cf-reader.fdi'
16:05:09.046 [I] device_info.c:1160: scan_fdi_files: Processing file
'lucent-pcmcia-wireless.fdi'
16:05:09.047 [I] device_info.c:1160: scan_fdi_files: Processing file 'sony_dsc.fdi'
16:05:09.047 [I] device_info.c:1160: scan_fdi_files: Processing file
'usb-zip-drives.fdi'
16:05:09.049 [I] device_info.c:1160: scan_fdi_files: Processing file
'storage-policy.fdi'
16:05:09.052 [I] callout.c:318: Invoking /etc/hal/device.d/50-fstab-sync.hal
16:05:09.058 [I] callout.c:330: Child pid 3951 for 50-fstab-sync.hal
16:05:09.060 [I] callout.c:193: Callouts done for
/org/freedesktop/Hal/devices/block_36ac7e59-f0b1-3597-1075-776c2ac17a7f-0
16:05:09.061 [I] callout.c:173: Child pid 3951 terminated
16:05:09.061 [I] callout.c:318: Invoking /etc/hal/device.d/printer_remove.hal
16:05:09.074 [I] callout.c:330: Child pid 3952 for printer_remove.hal
16:05:09.088 [W] hald_dbus.c:97: No property info.capabilities on device with id
/org/freedesktop/Hal/devices/pci_10b7_9200
libhal.c 911 : Error sending msg: No property info.capabilities on device with
id /org/freedesktop/Hal/devices/pci_10b7_9200
16:05:09.093 [I] callout.c:173: Child pid 3952 terminated
16:05:09.094 [I] callout.c:318: Invoking /etc/hal/device.d/40-hal-hotplug-map.hal
16:05:09.099 [I] callout.c:330: Child pid 3954 for 40-hal-hotplug-map.hal
16:05:09.100 [I] callout.c:173: Child pid 3954 terminated
16:05:09.100 [I] hald.c:81: Added device to GDL;
udi=/org/freedesktop/Hal/devices/pci_10b7_9200
16:05:09.101 [I] linux/osspec.c:795: handling
/sys/devices/pci0000:00/0000:00:04.3 pci


Version-Release number of selected component (if applicable):
hal-0.4.7-1.FC3

How reproducible:
Everytime

lspci:

00:00.0 Host bridge: Intel Corp. 440BX/ZX/DX - 82443BX/ZX/DX Host bridge (rev 03)
00:01.0 PCI bridge: Intel Corp. 440BX/ZX/DX - 82443BX/ZX/DX AGP bridge (rev 03)
00:04.0 ISA bridge: Intel Corp. 82371AB/EB/MB PIIX4 ISA (rev 02)
00:04.1 IDE interface: Intel Corp. 82371AB/EB/MB PIIX4 IDE (rev 01)
00:04.2 USB Controller: Intel Corp. 82371AB/EB/MB PIIX4 USB (rev 01)
00:04.3 Bridge: Intel Corp. 82371AB/EB/MB PIIX4 ACPI (rev 02)
00:0a.0 Ethernet controller: 3Com Corporation 3c905C-TX/TX-M [Tornado] (rev 74)
00:0b.0 SCSI storage controller: Adaptec AIC-7892A U160/m (rev 02)
00:0c.0 VGA compatible controller: Trident Microsystems TGUI 9660/938x/968x (rev d3)

00:04.3 Class 0680: 8086:7113 (rev 02)
        Flags: medium devsel, IRQ 9
Comment 1 Bruce Seller 2005-04-20 07:31:47 EDT
I think I may have the same problem. After a fresh install of FC3 hald hangs
every time I try booting. Here's what I get when I run hald with "--daemon=no
--verbose=yes":

04:49:14.068 [I] hald.c:394: hal 0.4.7
04:49:14.069 [I] hald.c:398: Will not daemonize
04:49:14.258 [I] linux/osspec.c:219: Mountpoint for sysfs is /sys
04:49:14.383 [I] linux/osspec.c:1544: ******************************************
04:49:14.383 [I] linux/osspec.c:1545: **** hotplug_counter is now 1
04:49:14.383 [I] linux/osspec.c:1546: ******************************************
04:49:14.559 [I] device_info.c:1160: scan_fdi_files: Processing file
'6in1-card-reader.fdi'
04:49:14.617 [I] device_info.c:1160: scan_fdi_files: Processing file
'ide-drives.fdi'
04:49:14.674 [I] device_info.c:1160: scan_fdi_files: Processing file
'jetflash-mp3-player.fdi'
04:49:14.680 [I] device_info.c:1160: scan_fdi_files: Processing file
'lexar-media-cf-reader.fdi'
04:49:14.688 [I] device_info.c:1160: scan_fdi_files: Processing file
'lucent-pcmcia-wireless.fdi'
04:49:14.701 [I] device_info.c:1160: scan_fdi_files: Processing file 'sony_dsc.fdi'
04:49:14.704 [I] device_info.c:1160: scan_fdi_files: Processing file
'usb-zip-drives.fdi'
04:49:14.739 [I] device_info.c:1160: scan_fdi_files: Processing file
'storage-policy.fdi'
04:49:14.753 [I] device_info.c:1163: *** Matched file
/usr/share/hal/fdi/90defaultpolicy/storage-policy.fdi
04:49:14.776 [I] callout.c:318: Invoking /etc/hal/device.d/50-fstab-sync.hal
04:49:14.822 [I] callout.c:330: Child pid 3194 for 50-fstab-sync.hal
3194: ###################################
3194: fstab-sync entering; add udi=/org/freedesktop/Hal/devices/computer
3194: Acquiring advisory lock on /etc/fstab
3194: Lock acquired
3194: mount_root='/media'
3194: use_managed=1
3194: managed primary='managed'
3194: managed secondary='kudzu'
3194: using temporary file '/etc/.fstab.hal.c'
3194: Seeing if line for dev='(null)',mnt='(null)' should be removed
3194: is_generated=0, is_mounted=0
3194: Seeing if line for dev='/dev/VolGroup00/LogVol00',mnt='/' should be removed
3194: is_generated=0, is_mounted=0
3194: Seeing if line for dev='LABEL=/boot',mnt='/boot' should be removed
3194: is_generated=0, is_mounted=0
3194: Seeing if line for dev='none',mnt='/dev/pts' should be removed
3194: is_generated=0, is_mounted=1
3194: Seeing if line for dev='none',mnt='/dev/shm' should be removed
3194: is_generated=0, is_mounted=1
3194: Seeing if line for dev='none',mnt='/proc' should be removed
3194: is_generated=0, is_mounted=1
3194: Seeing if line for dev='none',mnt='/sys' should be removed
3194: is_generated=0, is_mounted=1
3194: Seeing if line for dev='/dev/VolGroup00/LogVol01',mnt='swap' should be removed
3194: is_generated=0, is_mounted=0
3194: Releasing advisory lock on /etc/fstab
3194: Lock released
3194: fstab-sync exiting; add udi=/org/freedesktop/Hal/devices/computer
3194: ###################################

04:49:14.928 [I] callout.c:173: Child pid 3194 terminated
04:49:14.928 [I] callout.c:318: Invoking /etc/hal/device.d/printer_remove.hal
04:49:14.994 [I] callout.c:330: Child pid 3353 for printer_remove.hal
04:49:16.126 [W] hald_dbus.c:97: No property info.capabilities on device with id
/org/freedesktop/Hal/devices/computer
libhal.c 911 : Error sending msg: No property info.capabilities on device with
id /org/freedesktop/Hal/devices/computer
04:49:16.127 [I] callout.c:173: Child pid 3353 terminated
04:49:16.127 [I] callout.c:318: Invoking /etc/hal/device.d/40-hal-hotplug-map.hal
04:49:16.132 [I] callout.c:330: Child pid 3888 for 40-hal-hotplug-map.hal
04:49:16.133 [I] callout.c:173: Child pid 3888 terminated
04:49:16.133 [I] hald.c:81: Added device to GDL;
udi=/org/freedesktop/Hal/devices/computer
04:49:16.133 [I] linux/osspec.c:795: handling
/sys/devices/pci0000:02/0000:02:05.0 pci

After this the system is frozen completely, even the num and caps lock LEDs
don't work anymore.

lspci:
00:00.0 Host bridge: ServerWorks CMIC-LE Host Bridge (GC-LE chipset) (rev 33)
00:00.1 Host bridge: ServerWorks CMIC-LE Host Bridge (GC-LE chipset)
00:00.2 Host bridge: ServerWorks CMIC-LE Host Bridge (GC-LE chipset)
00:03.0 VGA compatible controller: Silicon Motion, Inc. SM720 Lynx3DM (rev c1)
00:0f.0 ISA bridge: ServerWorks CSB5 South Bridge (rev 93)
00:0f.1 IDE interface: ServerWorks CSB5 IDE Controller (rev 93)
00:0f.2 USB Controller: ServerWorks OSB4/CSB5 OHCI USB Controller (rev 05)
00:0f.3 Host bridge: ServerWorks CSB5 LPC bridge
00:11.0 Host bridge: ServerWorks CIOB-X2 PCI-X I/O Bridge (rev 05)
00:11.2 Host bridge: ServerWorks CIOB-X2 PCI-X I/O Bridge (rev 05)
01:08.0 Ethernet controller: Intel Corp. 82546EB Gigabit Ethernet Controller
(Copper) (rev 01)
01:08.1 Ethernet controller: Intel Corp. 82546EB Gigabit Ethernet Controller
(Copper) (rev 01)
02:05.0 Bridge: Hint Corp HB6 Universal PCI-PCI bridge (non-transparent mode)
(rev 04)
Comment 2 Paul van Maaren 2005-04-24 04:10:14 EDT
I have the same problem, system is completely frozen. 

Version-Release number of selected component (if applicable):
hal-0.4.7-1.FC3

Kernel:
2.6.11-1.14_FC3smp

# lspci 
00:00.0 Host bridge: Intel Corp. 440BX/ZX/DX - 82443BX/ZX/DX Host bridge (rev 03)
00:01.0 PCI bridge: Intel Corp. 440BX/ZX/DX - 82443BX/ZX/DX AGP bridge (rev 03)
00:07.0 ISA bridge: Intel Corp. 82371AB/EB/MB PIIX4 ISA (rev 02)
00:07.1 IDE interface: Intel Corp. 82371AB/EB/MB PIIX4 IDE (rev 01)
00:07.2 USB Controller: Intel Corp. 82371AB/EB/MB PIIX4 USB (rev 01)
00:07.3 Bridge: Intel Corp. 82371AB/EB/MB PIIX4 ACPI (rev 02)
00:09.0 Ethernet controller: Realtek Semiconductor Co., Ltd.
RTL-8139/8139C/8139C+ (rev 10)
00:0f.0 VGA compatible controller: S3 Inc. 86c767 [Trio 64UV+] (rev 52)
00:13.0 Unknown mass storage controller: Triones Technologies, Inc.
HPT366/368/370/370A/372 (rev 01)
00:13.1 Unknown mass storage controller: Triones Technologies, Inc.
HPT366/368/370/370A/372 (rev 01)

# hald --daemon=no --verbose=yes
12:00:55.586 [I] hald.c:394: hal 0.4.7
12:00:55.586 [I] hald.c:398: Will not daemonize
12:00:55.629 [I] linux/osspec.c:219: Mountpoint for sysfs is /sys
12:00:55.715 [I] linux/osspec.c:1544: ******************************************
12:00:55.715 [I] linux/osspec.c:1545: **** hotplug_counter is now 1
12:00:55.715 [I] linux/osspec.c:1546: ******************************************
12:00:55.735 [I] device_info.c:1160: scan_fdi_files: Processing file
'6in1-card-reader.fdi'
12:00:55.742 [I] device_info.c:1160: scan_fdi_files: Processing file
'ide-drives.fdi'
12:00:55.745 [I] device_info.c:1160: scan_fdi_files: Processing file
'jetflash-mp3-player.fdi'
12:00:55.747 [I] device_info.c:1160: scan_fdi_files: Processing file
'lexar-media-cf-reader.fdi'
12:00:55.748 [I] device_info.c:1160: scan_fdi_files: Processing file
'lucent-pcmcia-wireless.fdi'
12:00:55.750 [I] device_info.c:1160: scan_fdi_files: Processing file 'sony_dsc.fdi'
12:00:55.751 [I] device_info.c:1160: scan_fdi_files: Processing file
'usb-zip-drives.fdi'
12:00:55.763 [I] device_info.c:1160: scan_fdi_files: Processing file
'storage-policy.fdi'
12:00:55.773 [I] device_info.c:1163: *** Matched file
/usr/share/hal/fdi/90defaultpolicy/storage-policy.fdi
12:00:55.794 [I] callout.c:318: Invoking /etc/hal/device.d/40-hal-hotplug-map.hal
12:00:55.810 [I] callout.c:330: Child pid 3063 for 40-hal-hotplug-map.hal
12:00:55.822 [I] callout.c:173: Child pid 3063 terminated
12:00:55.823 [I] callout.c:318: Invoking /etc/hal/device.d/50-fstab-sync.hal
12:00:55.829 [I] callout.c:330: Child pid 3064 for 50-fstab-sync.hal
3064: ###################################
3064: fstab-sync entering; add udi=/org/freedesktop/Hal/devices/computer
3064: Acquiring advisory lock on /etc/fstab
3064: Lock acquired
3064: mount_root='/media'
3064: use_managed=1
3064: managed primary='managed'
3064: managed secondary='kudzu'
3064: using temporary file '/etc/.fstab.hal.d'
3064: Seeing if line for dev='(null)',mnt='(null)' should be removed
3064: is_generated=0, is_mounted=0
3064: Seeing if line for dev='/dev/md0',mnt='/' should be removed
3064: is_generated=0, is_mounted=1
3064: Seeing if line for dev='/dev/md1',mnt='/data' should be removed
3064: is_generated=0, is_mounted=1
3064: Seeing if line for dev='none',mnt='/dev/pts' should be removed
3064: is_generated=0, is_mounted=1
3064: Seeing if line for dev='none',mnt='/proc' should be removed
3064: is_generated=0, is_mounted=1
3064: Seeing if line for dev='none',mnt='/dev/shm' should be removed
3064: is_generated=0, is_mounted=1
3064: Seeing if line for dev='/dev/hdc2',mnt='swap' should be removed
3064: is_generated=0, is_mounted=0
3064: Seeing if line for dev='/dev/hda2',mnt='swap' should be removed
3064: is_generated=0, is_mounted=0
3064: Releasing advisory lock on /etc/fstab
3064: Lock released
3064: fstab-sync exiting; add udi=/org/freedesktop/Hal/devices/computer
3064: ###################################

12:00:55.870 [I] callout.c:173: Child pid 3064 terminated
12:00:55.871 [I] hald.c:81: Added device to GDL;
udi=/org/freedesktop/Hal/devices/computer
12:00:55.871 [I] linux/osspec.c:795: handling
/sys/devices/pci0000:00/0000:00:13.1 pci
12:00:55.903 [I] device_info.c:1160: scan_fdi_files: Processing file
'6in1-card-reader.fdi'
12:00:55.905 [I] device_info.c:1160: scan_fdi_files: Processing file
'ide-drives.fdi'
12:00:55.907 [I] device_info.c:1160: scan_fdi_files: Processing file
'jetflash-mp3-player.fdi'
12:00:55.907 [I] device_info.c:1160: scan_fdi_files: Processing file
'lexar-media-cf-reader.fdi'
12:00:55.908 [I] device_info.c:1160: scan_fdi_files: Processing file
'lucent-pcmcia-wireless.fdi'
12:00:55.910 [I] device_info.c:1160: scan_fdi_files: Processing file 'sony_dsc.fdi'
12:00:55.911 [I] device_info.c:1160: scan_fdi_files: Processing file
'usb-zip-drives.fdi'
12:00:55.913 [I] device_info.c:1160: scan_fdi_files: Processing file
'storage-policy.fdi'
12:00:55.917 [I] callout.c:318: Invoking /etc/hal/device.d/40-hal-hotplug-map.hal
12:00:55.922 [I] callout.c:330: Child pid 3065 for 40-hal-hotplug-map.hal
12:00:55.923 [I] callout.c:193: Callouts done for
/org/freedesktop/Hal/devices/computer
12:00:55.928 [I] callout.c:173: Child pid 3065 terminated
12:00:55.929 [I] callout.c:318: Invoking /etc/hal/device.d/50-fstab-sync.hal
12:00:55.933 [I] callout.c:330: Child pid 3066 for 50-fstab-sync.hal
12:00:55.940 [I] callout.c:173: Child pid 3066 terminated
12:00:55.940 [I] hald.c:81: Added device to GDL;
udi=/org/freedesktop/Hal/devices/pci_1103_4
12:00:55.941 [I] linux/osspec.c:795: handling
/sys/devices/pci0000:00/0000:00:13.0 pci
12:00:55.969 [I] device_info.c:1160: scan_fdi_files: Processing file
'6in1-card-reader.fdi'
12:00:55.971 [I] device_info.c:1160: scan_fdi_files: Processing file
'ide-drives.fdi'
12:00:55.972 [I] device_info.c:1160: scan_fdi_files: Processing file
'jetflash-mp3-player.fdi'
12:00:55.973 [I] device_info.c:1160: scan_fdi_files: Processing file
'lexar-media-cf-reader.fdi'
12:00:55.974 [I] device_info.c:1160: scan_fdi_files: Processing file
'lucent-pcmcia-wireless.fdi'
12:00:55.975 [I] device_info.c:1160: scan_fdi_files: Processing file 'sony_dsc.fdi'
12:00:55.976 [I] device_info.c:1160: scan_fdi_files: Processing file
'usb-zip-drives.fdi'
12:00:55.978 [I] device_info.c:1160: scan_fdi_files: Processing file
'storage-policy.fdi'
12:00:55.981 [I] callout.c:318: Invoking /etc/hal/device.d/40-hal-hotplug-map.hal
12:00:55.986 [I] callout.c:330: Child pid 3067 for 40-hal-hotplug-map.hal
12:00:55.987 [I] callout.c:193: Callouts done for
/org/freedesktop/Hal/devices/pci_1103_4
12:00:55.992 [I] callout.c:173: Child pid 3067 terminated
12:00:55.992 [I] callout.c:318: Invoking /etc/hal/device.d/50-fstab-sync.hal
12:00:55.997 [I] callout.c:330: Child pid 3068 for 50-fstab-sync.hal
12:00:56.004 [I] callout.c:173: Child pid 3068 terminated
12:00:56.004 [I] hald.c:81: Added device to GDL;
udi=/org/freedesktop/Hal/devices/pci_1103_4/0
12:00:56.005 [I] linux/osspec.c:795: handling
/sys/devices/pci0000:00/0000:00:0f.0 pci
12:00:56.034 [I] device_info.c:1160: scan_fdi_files: Processing file
'6in1-card-reader.fdi'
12:00:56.035 [I] device_info.c:1160: scan_fdi_files: Processing file
'ide-drives.fdi'
12:00:56.037 [I] device_info.c:1160: scan_fdi_files: Processing file
'jetflash-mp3-player.fdi'
12:00:56.038 [I] device_info.c:1160: scan_fdi_files: Processing file
'lexar-media-cf-reader.fdi'
12:00:56.039 [I] device_info.c:1160: scan_fdi_files: Processing file
'lucent-pcmcia-wireless.fdi'
12:00:56.040 [I] device_info.c:1160: scan_fdi_files: Processing file 'sony_dsc.fdi'
12:00:56.041 [I] device_info.c:1160: scan_fdi_files: Processing file
'usb-zip-drives.fdi'
12:00:56.043 [I] device_info.c:1160: scan_fdi_files: Processing file
'storage-policy.fdi'
12:00:56.047 [I] callout.c:318: Invoking /etc/hal/device.d/40-hal-hotplug-map.hal
12:00:56.052 [I] callout.c:330: Child pid 3069 for 40-hal-hotplug-map.hal
12:00:56.053 [I] callout.c:193: Callouts done for
/org/freedesktop/Hal/devices/pci_1103_4/0
12:00:56.058 [I] callout.c:173: Child pid 3069 terminated
12:00:56.058 [I] callout.c:318: Invoking /etc/hal/device.d/50-fstab-sync.hal
12:00:56.063 [I] callout.c:330: Child pid 3070 for 50-fstab-sync.hal
12:00:56.069 [I] callout.c:173: Child pid 3070 terminated
12:00:56.070 [I] hald.c:81: Added device to GDL;
udi=/org/freedesktop/Hal/devices/pci_5333_8814
12:00:56.070 [I] linux/osspec.c:795: handling
/sys/devices/pci0000:00/0000:00:09.0 pci
12:00:56.098 [I] device_info.c:1160: scan_fdi_files: Processing file
'6in1-card-reader.fdi'
12:00:56.099 [I] device_info.c:1160: scan_fdi_files: Processing file
'ide-drives.fdi'
12:00:56.101 [I] device_info.c:1160: scan_fdi_files: Processing file
'jetflash-mp3-player.fdi'
12:00:56.102 [I] device_info.c:1160: scan_fdi_files: Processing file
'lexar-media-cf-reader.fdi'
12:00:56.103 [I] device_info.c:1160: scan_fdi_files: Processing file
'lucent-pcmcia-wireless.fdi'
12:00:56.104 [I] device_info.c:1160: scan_fdi_files: Processing file 'sony_dsc.fdi'
12:00:56.105 [I] device_info.c:1160: scan_fdi_files: Processing file
'usb-zip-drives.fdi'
12:00:56.107 [I] device_info.c:1160: scan_fdi_files: Processing file
'storage-policy.fdi'
12:00:56.110 [I] callout.c:318: Invoking /etc/hal/device.d/40-hal-hotplug-map.hal
12:00:56.115 [I] callout.c:330: Child pid 3071 for 40-hal-hotplug-map.hal
12:00:56.116 [I] callout.c:193: Callouts done for
/org/freedesktop/Hal/devices/pci_5333_8814
12:00:56.121 [I] callout.c:173: Child pid 3071 terminated
12:00:56.122 [I] callout.c:318: Invoking /etc/hal/device.d/50-fstab-sync.hal
12:00:56.127 [I] callout.c:330: Child pid 3072 for 50-fstab-sync.hal
12:00:56.133 [I] callout.c:173: Child pid 3072 terminated
12:00:56.134 [I] hald.c:81: Added device to GDL;
udi=/org/freedesktop/Hal/devices/pci_10ec_8139
12:00:56.134 [I] linux/osspec.c:795: handling
/sys/devices/pci0000:00/0000:00:07.3 pci
Comment 3 Andreas Thienemann 2005-06-12 19:37:40 EDT
The same problem can be observed on RedHat Enterprise Linux 4 as well.
Comment 4 David Zeuthen 2005-06-14 17:26:06 EDT
Is the system using a sym53c8xx card? Because then I may have the fix here

 https://bugs.freedesktop.org/show_bug.cgi?id=1852
Comment 5 Orion Poplawski 2005-06-15 11:47:25 EDT
No sym53c8xx on my system or in any of the lspci output posted.  In all cases
hald seems to hang when it hits the "Bridge" device.
Comment 6 Uno Engborg 2005-08-30 11:54:03 EDT
The problem seam to occur in FC4 as well.
It started when upgrading to kernel-2.6.12-1.1447_FC4.
Before that it worked.

Comment 7 Adam Spiers 2005-11-27 15:39:37 EST
Created attachment 121523 [details]
Output of hald --daemon=no --verbose=yes

Same here, also on FC3 with the standard rpm from the base and also
hal-0.4.7-1.FC3.  Has crashed with ALL of the following kernels:

2.6.9-1.667
2.6.9-1.715_FC3
2.6.12-1.1381_FC3
2.6.10
2.6.11.5
2.6.14.3

Output of hald --daemon=no --verbose=yes is attached (obtained as in bug
#140797).

Will also attach lspci output below ...
Comment 8 Adam Spiers 2005-11-27 15:44:22 EST
Created attachment 121524 [details]
Output of lspci -v
Comment 9 Rich Painter 2005-12-01 01:41:45 EST
I have the SAME problem with RH ES4 on an Intel MB P3 450MHz, 256MB memory.
I don't have a clue as to why this is happening.  Does anyone have any ideas?

RH kernel (default ES4) is 2.6.9-11.EL

I have included the lspci and hald messages below.

Output of lspci:

00:00.0 Host bridge: Intel Corporation 440BX/ZX/DX - 82443BX/ZX/DX Host bridge
(rev 03)
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR+ FastB2B-
        Status: Cap+ 66Mhz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort+ >SERR- <PERR-
        Latency: 64
        Region 0: Memory at f8000000 (32-bit, prefetchable) [size=64M]
        Capabilities: [a0] AGP version 1.0
                Status: RQ=32 Iso- ArqSz=0 Cal=0 SBA+ ITACoh- GART64- HTrans-
64bit- FW- AGP3- Rate=x1,x2
                Command: RQ=1 ArqSz=0 Cal=0 SBA- AGP- GART64- 64bit- FW- Rate=<none>

00:01.0 PCI bridge: Intel Corporation 440BX/ZX/DX - 82443BX/ZX/DX AGP bridge
(rev 03) (prog-if 00 [Normal decode])
        Control: I/O+ Mem+ BusMaster+ SpecCycle+ MemWINV+ VGASnoop- ParErr-
Stepping- SERR+ FastB2B-
        Status: Cap- 66Mhz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 64
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=64
        Secondary status: 66Mhz+ FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort+ <SERR- <PERR-
        BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B+

00:07.0 ISA bridge: Intel Corporation 82371AB/EB/MB PIIX4 ISA (rev 02)
        Control: I/O+ Mem+ BusMaster+ SpecCycle+ MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap- 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 0

00:07.1 IDE interface: Intel Corporation 82371AB/EB/MB PIIX4 IDE (rev 01)
(prog-if 80 [Master])
        Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap- 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 64
        Region 4: I/O ports at 1060 [size=16]

00:07.2 USB Controller: Intel Corporation 82371AB/EB/MB PIIX4 USB (rev 01)
(prog-if 00 [UHCI])
        Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap- 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 64
        Interrupt: pin D routed to IRQ 9
        Region 4: I/O ports at 1040 [size=32]

00:07.3 Bridge: Intel Corporation 82371AB/EB/MB PIIX4 ACPI (rev 02)
        Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap- 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Interrupt: pin ? routed to IRQ 9

00:0c.0 Multimedia audio controller: Yamaha Corporation YMF-740C [DS-1L Audio
Controller] (rev 03)
        Subsystem: Intel Corporation: Unknown device 5332
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR+ FastB2B-
        Status: Cap+ 66Mhz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR+
        Latency: 64 (1250ns min, 6250ns max)
        Interrupt: pin A routed to IRQ 10
        Region 0: Memory at f4000000 (32-bit, non-prefetchable) [size=32K]
        Capabilities: [50] Power Management version 1
                Flags: PMEClk- DSI- D1- D2+ AuxCurrent=0mA
PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-

00:0d.0 VGA compatible controller: S3 Inc. 86c325 [ViRGE] (rev 06) (prog-if 00
[VGA])
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap- 66Mhz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 64 (1000ns min, 63750ns max)
        Interrupt: pin A routed to IRQ 11
        Region 0: Memory at f0000000 (32-bit, non-prefetchable) [size=64M]

00:10.0 Ethernet controller: Intel Corporation 82557/8/9 [Ethernet Pro 100] (rev 08)
        Subsystem: Intel Corporation EtherExpress PRO/100+
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr-
Stepping- SERR+ FastB2B-
        Status: Cap+ 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 66 (2000ns min, 14000ns max), Cache Line Size 08
        Interrupt: pin A routed to IRQ 9
        Region 0: Memory at f4008000 (32-bit, non-prefetchable) [size=4K]
        Region 1: I/O ports at 1000 [size=64]
        Region 2: Memory at f4100000 (32-bit, non-prefetchable) [size=1M]
        Capabilities: [dc] Power Management version 2
                Flags: PMEClk- DSI+ D1+ D2+ AuxCurrent=0mA
PME(D0+,D1+,D2+,D3hot+,D3cold+)
                Status: D0 PME-Enable- DSel=0 DScale=2 PME-


Output of hald --verbose=yes --daemon=no:

14:21:00.352 [I] hald.c:394: hal 0.4.2
14:21:00.352 [I] hald.c:398: Will not daemonize
14:21:00.407 [I] linux/osspec.c:217: Mountpoint for sysfs is /sys
14:21:00.518 [I] linux/osspec.c:1540: ******************************************
14:21:00.519 [I] linux/osspec.c:1541: **** hotplug_counter is now 1
14:21:00.519 [I] linux/osspec.c:1542: ******************************************
14:21:00.532 [I] device_info.c:1160: scan_fdi_files: Processing file 
'6in1-card-reader.fdi'
14:21:00.544 [I] device_info.c:1160: scan_fdi_files: Processing file 
'ide-drives.fdi'
14:21:00.546 [E] device_info.c:803: 
/usr/share/hal/fdi/20freedesktop/ide-drives.fdi:50:2: Element <device> can only 
be inside <deviceinfo>
14:21:00.546 [E] device_info.c:711: Aborting parsing of document
14:21:00.547 [E] device_info.c:1091: Error parsing XML document 
/usr/share/hal/fdi/20freedesktop/ide-drives.fdi at line 51, column 2 : 
mismatched tag
14:21:00.548 [I] device_info.c:1160: scan_fdi_files: Processing file 
'jetflash-mp3-player.fdi'
14:21:00.549 [I] device_info.c:1160: scan_fdi_files: Processing file 
'lexar-media-cf-reader.fdi'
14:21:00.551 [I] device_info.c:1160: scan_fdi_files: Processing file 
'lucent-pcmcia-wireless.fdi'
14:21:00.552 [I] device_info.c:1160: scan_fdi_files: Processing file 'sony_dsc.fdi'
14:21:00.554 [I] device_info.c:1160: scan_fdi_files: Processing file 
'usb-zip-drives.fdi'
14:21:00.557 [I] device_info.c:1160: scan_fdi_files: Processing file 
'storage-policy.fdi'
14:21:00.561 [I] device_info.c:1163: *** Matched file 
/usr/share/hal/fdi/90defaultpolicy/storage-policy.fdi
14:21:00.565 [I] callout.c:332: Invoking /etc/hal/device.d/40-hal-hotplug-map.hal
14:21:00.584 [I] callout.c:332: Invoking /etc/hal/device.d/printer_remove.hal
14:21:00.631 [W] hald_dbus.c:97: No property info.capabilities on device with id 
/org/freedesktop/Hal/devices/computer
libhal.c 911 : Error sending msg: No property info.capabilities on device with 
id /org/freedesktop/Hal/devices/computer
14:21:00.637 [I] callout.c:332: Invoking /etc/hal/device.d/50-fstab-sync.hal
3747: ###################################
3747: fstab-sync entering; add udi=/org/freedesktop/Hal/devices/computer
3747: Acquiring advisory lock on /etc/fstab
3747: Lock acquired
3747: mount_root='/media'
3747: use_managed=1
3747: managed primary='managed'
3747: managed secondary='kudzu'
3747: using temporary file '/etc/.fstab.hal.9'
3747: Seeing if line for dev='(null)',mnt='(null)' should be removed
14:21:00.680 [I] hald.c:81: Added device to GDL; 
udi=/org/freedesktop/Hal/devices/computer
14:21:00.681 [I] linux/osspec.c:793: handling 
/sys/devices/pci0000:00/0000:00:10.0 pci
14:21:00.708 [I] device_info.c:1160: scan_fdi_files: Processing file 
'6in1-card-reader.fdi'
14:21:00.709 [I] device_info.c:1160: scan_fdi_files: Processing file 
'ide-drives.fdi'
14:21:00.711 [E] device_info.c:803: 
/usr/share/hal/fdi/20freedesktop/ide-drives.fdi:50:2: Element <device> can only 
be inside <deviceinfo>
14:21:00.711 [E] device_info.c:711: Aborting parsing of document
14:21:00.712 [E] device_info.c:1091: Error parsing XML document 
/usr/share/hal/fdi/20freedesktop/ide-drives.fdi at line 51, column 2 : 
mismatched tag
14:21:00.713 [I] device_info.c:1160: scan_fdi_files: Processing file 
'jetflash-mp3-player.fdi'
14:21:00.714 [I] device_info.c:1160: scan_fdi_files: Processing file 
'lexar-media-cf-reader.fdi'
14:21:00.715 [I] device_info.c:1160: scan_fdi_files: Processing file 
'lucent-pcmcia-wireless.fdi'
14:21:00.716 [I] device_info.c:1160: scan_fdi_files: Processing file 'sony_dsc.fdi'
14:21:00.717 [I] device_info.c:1160: scan_fdi_files: Processing file 
'usb-zip-drives.fdi'
14:21:00.719 [I] device_info.c:1160: scan_fdi_files: Processing file 
'storage-policy.fdi'
14:21:00.723 [I] callout.c:332: Invoking /etc/hal/device.d/40-hal-hotplug-map.hal
14:21:00.729 [I] callout.c:332: Invoking /etc/hal/device.d/printer_remove.hal
14:21:00.752 [W] hald_dbus.c:97: No property info.capabilities on device with id 
/org/freedesktop/Hal/devices/pci_8086_1229
14:21:00.754 [W] hald_dbus.c:97: No property volume.is_disc on device with id 
/org/freedesktop/Hal/devices/computer
libhal.c 911 : Error sending msg: No property info.capabilities on device with 
id /org/freedesktop/Hal/devices/pci_8086_1229
14:21:00.761 [I] callout.c:332: Invoking /etc/hal/device.d/50-fstab-sync.hal
14:21:00.766 [I] hald.c:81: Added device to GDL; 
udi=/org/freedesktop/Hal/devices/pci_8086_1229
14:21:00.768 [I] linux/osspec.c:793: handling 
/sys/devices/pci0000:00/0000:00:0d.0 pci
14:21:00.794 [I] device_info.c:1160: scan_fdi_files: Processing file 
'6in1-card-reader.fdi'
14:21:00.796 [I] device_info.c:1160: scan_fdi_files: Processing file 
'ide-drives.fdi'
14:21:00.797 [E] device_info.c:803: 
/usr/share/hal/fdi/20freedesktop/ide-drives.fdi:50:2: Element <device> can only 
be inside <deviceinfo>
14:21:00.798 [E] device_info.c:711: Aborting parsing of document
14:21:00.798 [E] device_info.c:1091: Error parsing XML document 
/usr/share/hal/fdi/20freedesktop/ide-drives.fdi at line 51, column 2 : 
mismatched tag
14:21:00.799 [I] device_info.c:1160: scan_fdi_files: Processing file 
'jetflash-mp3-player.fdi'
14:21:00.800 [I] device_info.c:1160: scan_fdi_files: Processing file 
'lexar-media-cf-reader.fdi'
14:21:00.801 [I] device_info.c:1160: scan_fdi_files: Processing file 
'lucent-pcmcia-wireless.fdi'
14:21:00.802 [I] device_info.c:1160: scan_fdi_files: Processing file 'sony_dsc.fdi'
14:21:00.803 [I] device_info.c:1160: scan_fdi_files: Processing file 
'usb-zip-drives.fdi'
14:21:00.805 [I] device_info.c:1160: scan_fdi_files: Processing file 
'storage-policy.fdi'
14:21:00.809 [I] callout.c:332: Invoking /etc/hal/device.d/40-hal-hotplug-map.hal
14:21:00.817 [W] hald_dbus.c:97: No property volume.is_disc on device with id 
/org/freedesktop/Hal/devices/pci_8086_1229
14:21:00.823 [I] callout.c:332: Invoking /etc/hal/device.d/printer_remove.hal
14:21:00.843 [W] hald_dbus.c:97: No property info.capabilities on device with id 
/org/freedesktop/Hal/devices/pci_5333_5631
libhal.c 911 : Error sending msg: No property info.capabilities on device with 
id /org/freedesktop/Hal/devices/pci_5333_5631
14:21:00.849 [I] callout.c:332: Invoking /etc/hal/device.d/50-fstab-sync.hal
14:21:00.855 [I] hald.c:81: Added device to GDL; 
udi=/org/freedesktop/Hal/devices/pci_5333_5631
14:21:00.856 [I] linux/osspec.c:793: handling 
/sys/devices/pci0000:00/0000:00:0c.0 pci
14:21:00.882 [I] device_info.c:1160: scan_fdi_files: Processing file 
'6in1-card-reader.fdi'
14:21:00.883 [I] device_info.c:1160: scan_fdi_files: Processing file 
'ide-drives.fdi'
14:21:00.885 [E] device_info.c:803: 
/usr/share/hal/fdi/20freedesktop/ide-drives.fdi:50:2: Element <device> can only 
be inside <deviceinfo>
14:21:00.885 [E] device_info.c:711: Aborting parsing of document
14:21:00.886 [E] device_info.c:1091: Error parsing XML document 
/usr/share/hal/fdi/20freedesktop/ide-drives.fdi at line 51, column 2 : 
mismatched tag
14:21:00.886 [I] device_info.c:1160: scan_fdi_files: Processing file 
'jetflash-mp3-player.fdi'
14:21:00.888 [I] device_info.c:1160: scan_fdi_files: Processing file 
'lexar-media-cf-reader.fdi'
14:21:00.889 [I] device_info.c:1160: scan_fdi_files: Processing file 
'lucent-pcmcia-wireless.fdi'
14:21:00.890 [I] device_info.c:1160: scan_fdi_files: Processing file 'sony_dsc.fdi'
14:21:00.891 [I] device_info.c:1160: scan_fdi_files: Processing file 
'usb-zip-drives.fdi'
14:21:00.893 [I] device_info.c:1160: scan_fdi_files: Processing file 
'storage-policy.fdi'
14:21:00.897 [I] callout.c:332: Invoking /etc/hal/device.d/40-hal-hotplug-map.hal
14:21:00.903 [I] callout.c:332: Invoking /etc/hal/device.d/printer_remove.hal
14:21:00.926 [W] hald_dbus.c:97: No property info.capabilities on device with id 
/org/freedesktop/Hal/devices/pci_1073_c
14:21:00.927 [W] hald_dbus.c:97: No property volume.is_disc on device with id 
/org/freedesktop/Hal/devices/pci_5333_5631
libhal.c 911 : Error sending msg: No property info.capabilities on device with 
id /org/freedesktop/Hal/devices/pci_1073_c
14:21:00.936 [I] callout.c:332: Invoking /etc/hal/device.d/50-fstab-sync.hal
14:21:00.942 [I] hald.c:81: Added device to GDL; 
udi=/org/freedesktop/Hal/devices/pci_1073_c
14:21:00.943 [I] linux/osspec.c:793: handling 
/sys/devices/pci0000:00/0000:00:07.3 pci
Comment 10 Zielona Nutria 2005-12-10 08:35:26 EST
HAL hangs my computer at startup. It's Fedora 4 here with kernel 2.6.14-1.
1644_FC4 (problem ecountered also on some earlier kernels). I'm able to start 
system in a console mode and then startx. It happends always at startup.

Output of lspci -v:

00:00.0 Host bridge: nVidia Corporation nForce2 AGP (different version?) (rev 
c1)
        Flags: bus master, 66Mhz, fast devsel, latency 0
        Memory at e0000000 (32-bit, prefetchable) [size=64M]
        Capabilities: [40] AGP version 3.0
        Capabilities: [60] HyperTransport: Host or Secondary Interface

00:00.1 RAM memory: nVidia Corporation nForce2 Memory Controller 1 (rev c1)
        Subsystem: EPoX Computer Co., Ltd.: Unknown device 1000
        Flags: 66Mhz, fast devsel

00:00.2 RAM memory: nVidia Corporation nForce2 Memory Controller 4 (rev c1)
        Subsystem: EPoX Computer Co., Ltd.: Unknown device 1000
        Flags: 66Mhz, fast devsel

00:00.3 RAM memory: nVidia Corporation nForce2 Memory Controller 3 (rev c1)
        Subsystem: EPoX Computer Co., Ltd.: Unknown device 1000
        Flags: 66Mhz, fast devsel

00:00.4 RAM memory: nVidia Corporation nForce2 Memory Controller 2 (rev c1)
        Subsystem: EPoX Computer Co., Ltd.: Unknown device 1000
        Flags: 66Mhz, fast devsel

00:00.5 RAM memory: nVidia Corporation nForce2 Memory Controller 5 (rev c1)
        Subsystem: EPoX Computer Co., Ltd.: Unknown device 1000
        Flags: 66Mhz, fast devsel

00:01.0 ISA bridge: nVidia Corporation nForce2 ISA Bridge (rev a4)
        Subsystem: EPoX Computer Co., Ltd.: Unknown device 1000
        Flags: bus master, 66Mhz, fast devsel, latency 0
        Capabilities: [48] HyperTransport: Slave or Primary Interface

00:01.1 SMBus: nVidia Corporation nForce2 SMBus (MCP) (rev a2)
        Subsystem: EPoX Computer Co., Ltd.: Unknown device 1000
        Flags: 66Mhz, fast devsel, IRQ 12
        I/O ports at c000 [size=32]
        Capabilities: [44] Power Management version 2

00:02.0 USB Controller: nVidia Corporation nForce2 USB Controller (rev a4) 
(prog-if 10 [OHCI])
        Subsystem: EPoX Computer Co., Ltd.: Unknown device 1000
        Flags: bus master, 66Mhz, fast devsel, latency 0, IRQ 11
        Memory at e6003000 (32-bit, non-prefetchable) [size=4K]
        Capabilities: [44] Power Management version 2

00:02.1 USB Controller: nVidia Corporation nForce2 USB Controller (rev a4) 
(prog-if 10 [OHCI])
        Subsystem: EPoX Computer Co., Ltd.: Unknown device 1000
        Flags: bus master, 66Mhz, fast devsel, latency 0, IRQ 5
        Memory at e6004000 (32-bit, non-prefetchable) [size=4K]
        Capabilities: [44] Power Management version 2

00:02.2 USB Controller: nVidia Corporation nForce2 USB Controller (rev a4) 
(prog-if 20 [EHCI])
        Subsystem: EPoX Computer Co., Ltd.: Unknown device 1000
        Flags: bus master, 66Mhz, fast devsel, latency 0, IRQ 12
        Memory at e6005000 (32-bit, non-prefetchable) [size=256]
        Capabilities: [44] Debug port
        Capabilities: [80] Power Management version 2

00:04.0 Ethernet controller: nVidia Corporation nForce2 Ethernet Controller (rev 
a1)
        Subsystem: EPoX Computer Co., Ltd.: Unknown device 1000
        Flags: bus master, 66Mhz, fast devsel, latency 0, IRQ 12
        Memory at e6000000 (32-bit, non-prefetchable) [size=4K]
        I/O ports at c400 [size=8]
        Capabilities: [44] Power Management version 2

00:06.0 Multimedia audio controller: nVidia Corporation nForce2 AC97 Audio 
Controler (MCP) (rev a1)
        Subsystem: EPoX Computer Co., Ltd.: Unknown device 1001
        Flags: bus master, 66Mhz, fast devsel, latency 0, IRQ 5
        I/O ports at b000 [size=256]
        I/O ports at b400 [size=128]
        Memory at e6001000 (32-bit, non-prefetchable) [size=4K]
        Capabilities: [44] Power Management version 2

00:08.0 PCI bridge: nVidia Corporation nForce2 External PCI Bridge (rev a3) 
(prog-if 00 [Normal decode])
        Flags: bus master, 66Mhz, fast devsel, latency 0
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=32
        I/O behind bridge: 00009000-00009fff
        Memory behind bridge: e5000000-e5ffffff
        Prefetchable memory behind bridge: 30000000-300fffff

00:09.0 IDE interface: nVidia Corporation nForce2 IDE (rev a2) (prog-if 8a 
[Master SecP PriP])
        Subsystem: EPoX Computer Co., Ltd.: Unknown device 1000
        Flags: bus master, 66Mhz, fast devsel, latency 0
        I/O ports at f000 [size=16]
        Capabilities: [44] Power Management version 2

00:1e.0 PCI bridge: nVidia Corporation nForce2 AGP (rev c1) (prog-if 00 [Normal 
decode])
        Flags: bus master, 66Mhz, medium devsel, latency 32
        Bus: primary=00, secondary=02, subordinate=02, sec-latency=32
        I/O behind bridge: 0000a000-0000afff
        Memory behind bridge: e4000000-e4ffffff
        Prefetchable memory behind bridge: c0000000-dfffffff

01:0b.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8139/8139C/
8139C+ (rev 10)
        Subsystem: EPoX Computer Co., Ltd.: Unknown device 9001
        Flags: bus master, medium devsel, latency 32, IRQ 11
        I/O ports at 9000 [size=256]
        Memory at e5010000 (32-bit, non-prefetchable) [size=256]
        [virtual] Expansion ROM at 30000000 [disabled] [size=64K]
        Capabilities: [50] Power Management version 2

01:0d.0 FireWire (IEEE 1394): Agere Systems FW323 (rev 61) (prog-if 10 [OHCI])
        Subsystem: EPoX Computer Co., Ltd.: Unknown device 9015
        Flags: bus master, medium devsel, latency 32, IRQ 11
        Memory at e5011000 (32-bit, non-prefetchable) [size=4K]
        Capabilities: [44] Power Management version 2

02:00.0 VGA compatible controller: ATI Technologies Inc RV350 AP [Radeon 9600] 
(prog-if 00 [VGA])
        Subsystem: Hightech Information System Ltd.: Unknown device 200e
        Flags: bus master, 66Mhz, medium devsel, latency 32, IRQ 11
        Memory at c0000000 (32-bit, prefetchable) [size=256M]
        I/O ports at a000 [size=256]
        Memory at e4020000 (32-bit, non-prefetchable) [size=64K]
        [virtual] Expansion ROM at e4000000 [disabled] [size=128K]
        Capabilities: [58] AGP version 3.0
        Capabilities: [50] Power Management version 2

02:00.1 Display controller: ATI Technologies Inc RV350 AP [Radeon 9600] 
(Secondary)
        Subsystem: Hightech Information System Ltd.: Unknown device 200f
        Flags: 66Mhz, medium devsel
        Memory at d0000000 (32-bit, prefetchable) [disabled] [size=256M]
        Memory at e4030000 (32-bit, non-prefetchable) [disabled] [size=64K]
        Capabilities: [50] Power Management version 2




Tail of output of: hald --verbose=yes --daemon=no (its very long and this 
command doesn't end.. it means I've to ctrl+c to release console).


14:37:27.383 [I] acpi.c:490: acpi_add: acpi_path=/proc/acpi/processor/CPU0 
acpi_type=1, parent=0x00000000
14:37:27.390 [I] acpi.c:462: Add callouts completed udi=/org/freedesktop/Hal/
devices/acpi_CPU0
14:37:27.390 [I] hald.c:90: Added device to GDL; udi=/org/freedesktop/Hal/
devices/acpi_CPU0
14:37:27.390 [I] acpi.c:490: acpi_add: acpi_path=/proc/acpi/fan/FAN acpi_type=2, 
parent=0x00000000
14:37:27.395 [I] acpi.c:462: Add callouts completed udi=/org/freedesktop/Hal/
devices/acpi_FAN
14:37:27.395 [I] hald.c:90: Added device to GDL; udi=/org/freedesktop/Hal/
devices/acpi_FAN
14:37:27.395 [I] acpi.c:490: acpi_add: acpi_path=/proc/acpi/button/power/PWRB 
acpi_type=4, parent=0x00000000
14:37:27.401 [I] acpi.c:462: Add callouts completed udi=/org/freedesktop/Hal/
devices/acpi_PWRB
14:37:27.401 [I] hald.c:90: Added device to GDL; udi=/org/freedesktop/Hal/
devices/acpi_PWRB
14:37:27.401 [I] acpi.c:490: acpi_add: acpi_path=/proc/acpi/button/power/PWRF 
acpi_type=4, parent=0x00000000
14:37:27.407 [I] acpi.c:462: Add callouts completed udi=/org/freedesktop/Hal/
devices/acpi_PWRF
14:37:27.407 [I] hald.c:90: Added device to GDL; udi=/org/freedesktop/Hal/
devices/acpi_PWRF
14:37:27.407 [I] hald.c:638: Device probing completed
14:37:27.407 [I] hald_dbus.c:2519: entering
14:37:27.420 [I] hald_dbus.c:2425: local_server_message_handler: 
destination=(null) obj_path=/org/freedesktop/DBus/Local interface=org.
freedesktop.DBus.Local method=Disconnected
14:37:27.420 [I] hald_dbus.c:2441: Client to local_server was disconnected
14:37:27.420 [I] hald_dbus.c:2451: unregistered
14:37:27.420 [I] hald_dbus.c:2425: local_server_message_handler: 
destination=(null) obj_path=/org/freedesktop/DBus/Local interface=org.
freedesktop.DBus.Local method=Disconnected
14:37:27.420 [I] hald_dbus.c:2441: Client to local_server was disconnected
14:37:27.420 [I] hald_dbus.c:2451: unregistered
Comment 11 Adam Spiers 2005-12-24 16:32:11 EST
Thanks for contributing to the debug of this everyone, but IMHO it's preferable
to include long debug as attachments so that people's comments are still easy to
locate.

I don't want to reduce Red Hat's motivation for fixing this, but I just updated
the system I saw this issue on to FC4 (hal-0.5.2-2) and it seemingly fixed the
problem.  Having said that, other people have reported the issue on FC4, but if
you are able it's at least worth trying the FC3->FC4 upgrade based on my
experiences...
Comment 12 Matthew Miller 2006-07-10 18:28:20 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 13 Des Dougan 2006-12-22 22:24:46 EST
This bug also affects haldaemon in Enterprise Linux 4. I have a CentOS
4.3-derived distro (SME Server 7.0) running the stoch RH hal-0.4.2-3.EL4 RPM.

I see a couple of different scenarios - one where the boot process hangs for
just over two minutes when starting the daemon, then it completes. The second
sees a solid hang that requires a reset (it's been left for lengthy periods to
ensure it wasn't just slow). It's been pretty difficult to recover from this,
geberally requiring a server update process to be run.

Initially, I was running video through the S3 card on the motherboard; however I
disabled the on-board video and stuck in an old Matrox PCI card with the same
result.

The server is an IBM X Series 340.
Comment 14 Orion Poplawski 2007-02-09 14:01:00 EST
I'm closing.  I people are still having problems with this, please open new bugs
for the appropriate products.

Note You need to log in before you can comment on or make changes to this bug.